ACPI_VIDEO(4)

NAME
acpi_video - ACPI Video Extensions driver

SYNOPSIS
device acpi_video

DESCRIPTION
This driver uses the ACPI Video Extensions to control display switching and backlight brightness. The availability of the sysctl(8) variables depends on the functions offered by the host's ACPI implementation.

SYSCTL VARIABLES
The following sysctls are currently implemented, where <device> is crt, lcd, or tv:

hw.acpi.video.<device>.active
    Current state of the output device.

hw.acpi.video.<device>.levels
    List of supported brightness levels.

hw.acpi.video.<device>.brightness
    Current brightness level of the device.

hw.acpi.video.<device>.fullpower
    Preset brightness level to be used in full power mode.

hw.acpi.video.<device>.economy
    Preset brightness level to be used in economy mode.

Defaults for these variables can be set in sysctl.conf(5), which is parsed at boot-time.

SEE ALSO
acpi(4), loader.conf(5), sysctl.conf(5), sysctl(8)

HISTORY
The acpi_video driver first appeared in FreeBSD 5.3.

AUTHORS
-nosplit The acpi_video driver was written by Taku YAMAMOTO <taku@cent.saitama-u.ac.jp>. This manual page was written by Mark Santcroos <marks@ripe.net>.

BUGS
Some systems only perform output switching via SMM even though they export the proper information via ACPI. On such systems, the proper hotkeys or OEM driver (for example, acpi_toshiba(4)) must be used instead.